Available buyer market: Korea,Taiwan
You can query a summary of product info using the seller product code (externalVendorSku) entered to list/modify products.
Please make sure to wait at least 1 minute after the product creation is complete before calling this API for inquiry
Path
GET
/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/external-vendor-sku-codes/{externalVendorSkuCode}
Example Endpoint
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/external-vendor-sku-codes/{externalVendorSkuCode}
Request Parameters
Path Segment Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| externalVendorSkuCode | O | String | Seller product code (vendor product code) | ||||
Request Example
not require body
Response Message
| Name | Type | Description | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | String | Result code SUCCESS/ERROR | ||||||||||||||||||||
| message | String | Result message | ||||||||||||||||||||
| data | List of vendor products Repeat N times, the number of vendor products | |||||||||||||||||||||
| sellerProductId | Number | Listed Product ID | ||||||||||||||||||||
| sellerProductName | String | Listed Product Name Search for listed product name. 20 characters or less | ||||||||||||||||||||
| displayCategoryCode | Number | Display category code | ||||||||||||||||||||
| vendorId | String | Seller ID Unique code issued to Vendor by Coupang | ||||||||||||||||||||
| saleStartedAt | String | Date/time of starting selling "yyyy-MM-dd'T'HH:mm:ss" | ||||||||||||||||||||
| saleEndedAt | String | Date/time of stopping selling "yyyy-MM-dd'T'HH:mm:ss," *Year can be set up to 2099 | ||||||||||||||||||||
| brand | String | Brand To be official Korean/English names | ||||||||||||||||||||
| statusName | String | Status name of vendor product
| ||||||||||||||||||||
| createdAt | String | Date/time of product listing "yyyy-MM-dd'T'HH:mm:ss" | ||||||||||||||||||||
Response Example
{
"code": "SUCCESS",
"message": "",
"data": [
{
"sellerProductId": 123,
"sellerProductName": "[인xx] 컴퓨터잡지",
"displayCategoryCode": null,
"categoryId": 5555,
"productId": 3333,
"vendorId": "A0xxxxx",
"mdId": "jxxx@",
"mdName": "박xxx",
"saleStartedAt": "2015-12-28T06:00:00",
"saleEndedAt": "2099-01-01T00:00:00",
"brand": null,
"statusName": "승인완료",
"createdAt": "2015-12-28T18:57:34"
}
]
}Error Spec
| HTTP status code (error type) | Error message | How to resolve |
|---|---|---|
| 500 (check request parameter) | API call to HTTP://seller-listing-search.coupang.net:80/vendor/vendor-inventories/scroll(5d0cb26d7122730022da07f9) failed with status code 500. | This is a server error. Check if the seller product code (externalVendorSkuCode) is correct and attempt again to call the API sometime later. |
URL API Name
GET_PRODUCT_BY_EXTERNAL_SKU